<?php

/*
  Plugin Name: Tickera Additional Prices
  Plugin URI: http://tickera.com/
  Description: Change price of additional tickets automatically
  Author: Tickera.com
  Author URI: http://tickera.com/
  Version: 1.0
  TextDomain: tc
  Domain Path: /languages/

  Copyright 2015 Tickera (http://tickera.com/)
 */

if ( !defined( 'ABSPATH' ) )
	exit; // Exit if accessed directly

if ( !class_exists( 'TC_Additional_Prices' ) ) {

	class TC_Additional_Prices {

		function __construct() {
			add_filter( 'tc_ticket_fields', array( &$this, 'tc_ticket_fields' ) );
			add_filter( 'tc_price_per_ticket', array( &$this, 'tc_price_per_ticket' ), 10, 2 );
		}

		function tc_price_per_ticket( $price_per_ticket, $id ) {
			global $tc;
			$cart_contents = $tc->get_cart_cookie();

			if ( isset( $cart_contents ) && is_array( $cart_contents ) ) {
				foreach ( $cart_contents as $ticket_type => $ordered_count ) {
					if ( $ticket_type == $id && $ordered_count > 1 ) {
						$ticket_type				 = new TC_Ticket( $id );
						$price_per_ticket			 = $ticket_type->details->price_per_ticket;
						$price_per_ticket_additional = isset( $ticket_type->details->price_per_ticket_additional ) && !empty($ticket_type->details->price_per_ticket_additional) ? $ticket_type->details->price_per_ticket_additional : $price_per_ticket;

						$price_per_ticket = (($price_per_ticket_additional * ($ordered_count - 1)) + $price_per_ticket) / $ordered_count;
					}
				}
			}
			return $price_per_ticket;
		}

		function tc_ticket_fields( $fields ) {
			$fields[] = array(
				'field_name'		 => 'price_per_ticket_additional',
				'field_title'		 => __( 'Additional Price Per Ticket', 'tc' ),
				'placeholder'		 => '',
				'field_type'		 => 'text',
				'field_description'	 => __( 'The price for each subsequent ticket. Leave empty for the same price.', 'tc' ),
				'table_visibility'	 => true,
				'post_field_type'	 => 'post_meta'
			);
			return $fields;
		}

	}

	$tc_additional_prices = new TC_Additional_Prices();
}
